Bug 989786 - Segmentation fault after start
Segmentation fault after start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openttd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 19:27 EDT by Branislav Blaškovič
Modified: 2014-02-05 18:13 EST (History)
7 users (show)

See Also:
Fixed In Version: openttd-1.3.2-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1000741 1000742 (view as bug list)
Environment:
Last Closed: 2014-02-05 18:13:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash.log (2.07 KB, text/x-log)
2013-07-29 19:27 EDT, Branislav Blaškovič
no flags Details
crashlog (2.07 KB, text/x-log)
2013-08-24 16:45 EDT, Wietse Muizelaar
no flags Details

  None (edit)
Description Branislav Blaškovič 2013-07-29 19:27:53 EDT
Created attachment 780182 [details]
crash.log

Description of problem:
  openttd segfaults at startup.

$ rpm -q openttd
openttd-1.3.2-1.fc18.x86_64

How reproducible:
  always
Comment 1 Branislav Blaškovič 2013-07-29 19:29:36 EDT
Version openttd-1.3.0-1.fc18.x86_64 is working great.
Comment 2 Fedora Update System 2013-08-04 08:51:42 EDT
openttd-1.3.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openttd-1.3.2-2.fc19
Comment 3 Fedora Update System 2013-08-04 08:51:51 EDT
openttd-1.3.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openttd-1.3.2-2.fc18
Comment 4 Fedora Update System 2013-08-04 19:04:06 EDT
Package openttd-1.3.2-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openttd-1.3.2-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14224/openttd-1.3.2-2.fc18
then log in and leave karma (feedback).
Comment 5 Branislav Blaškovič 2013-08-05 02:50:25 EDT
No more crashes. Thank you.
Comment 6 Fedora Update System 2013-08-12 13:59:51 EDT
openttd-1.3.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-08-12 14:02:32 EDT
openttd-1.3.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Wietse Muizelaar 2013-08-24 16:45:13 EDT
This version still crashes. Crash.log attached

$ rpm -q openttd
openttd-1.3.2-2.fc18.x86_64

$ openttd 
Crash encountered, generating crash log...
*** OpenTTD Crash Report ***

Crash at: Sat Aug 24 20:44:41 2013
In game date: 0-01-01 (0)

Crash reason:
 Signal:  Segmentation fault (11)
 Message: <none>

OpenTTD version:
 Version:    1.3.2 (0)
 NewGRF ver: 13286420
 Bits:       64
 Endian:     little
 Dedicated:  no
 Build date: Aug  2 2013 21:21:35

Stacktrace:
 [00] openttd() [0x4826c7]
 [01] openttd() [0x73029d]
 [02] openttd() [0x730b43]
 [03] /lib64/libc.so.6() [0x3e1b635cd0]
 [04] /lib64/libicule.so.49(_ZNK6icu_4922GlyphLookupTableHeader12coversScriptERKNS_16LETableReferenceEjR11LEErrorCode+0xa) [0x35f84263ba]
 [05] /lib64/libicule.so.49(_ZN6icu_4912LayoutEngine19layoutEngineFactoryEPKNS_14LEFontInstanceEiiiR11LEErrorCode+0xf3) [0x35f841ca33]
 [06] /lib64/libiculx.so.49(_ZN6icu_4915ParagraphLayoutC2EPKtiPKNS_8FontRunsEPKNS_9ValueRunsES8_PKNS_10LocaleRunsEhaR11LEErrorCode+0x570) [0x3530e061f0]
 [07] openttd() [0x5eb3c7]
 [08] openttd() [0x5eb52b]
 [09] openttd() [0x5eb5c3]
 [10] openttd() [0x62099a]
 [11] openttd() [0x495a20]
 [12] openttd() [0x49138e]
 [13] openttd() [0x635e1f]
 [14] openttd() [0x706e9a]
 [15] openttd() [0x708d02]
 [16] /lib64/libc.so.6(__libc_start_main+0xf5) [0x3e1b621a05]
 [17] openttd() [0x468b85]

Operating system:
 Name:     Linux
 Release:  3.10.9-100.fc18.x86_64
 Version:  #1 SMP Wed Aug 21 18:25:04 UTC 2013
 Machine:  x86_64
 Compiler: GCC 4.7.2 "4.7.2 20121109 (Red Hat 4.7.2-8)"

Configuration:
 Blitter:      8bpp-optimized
 Graphics set: OpenGFX (998)
 Language:     //usr/share/openttd/lang/english_US.lng
 Music driver: libtimidity
 Music set:    OpenMSX (96)
 Network:      no
 Sound driver: sdl
 Sound set:    OpenSFX (87)
 Video driver: sdl

AI Configuration (local: 255):

Libraries:
 FontConfig: 2.10.2
 FreeType:   2.4.10
 ICU:        49.1.1
 LZMA:       5.1.2alpha
 LZO:        2.06
 PNG:        1.5.13
 SDL:        1.2.15
 Zlib:       1.2.7

---- gamelog start ----
Tick 0: new game started
     Revision text changed to 1.3.2, savegame version 180, not modified, _openttd_newgrf_version = 0x13286420
     New game mode: 0 landscape: 0
---- gamelog end ----

*** End of OpenTTD Crash Report ***

Crash log generated.

Writing crash log to disk...
Crash log written to /home/wietse/.openttd/crash.log. Please add this file to any bug reports.

Writing crash savegame...
Crash savegame written to /home/wietse/.openttd/crash.sav. Please add this file and the last (auto)save to any bug reports.

Writing crash screenshot...
Crash screenshot written to /home/wietse/.openttd/crash.png. Please add this file to any bug reports.

Aborted
Comment 9 Wietse Muizelaar 2013-08-24 16:45:59 EDT
Created attachment 789911 [details]
crashlog
Comment 10 moondrake 2013-09-20 13:13:07 EDT
Since I used openttd a couple of months ago I am actually wondering if the new version did not start the crashes. The current 1.3.2-2.fc18.x86_64 version provided by fedora was _not_ rebuilt with the current libicu-devel-49.1.1-10.fc18.x86_64, and this results in:

#0  0x0000003431e263ba in LETableReference (err=<optimized out>, length=18446744073709551615, offset=<optimized out>, parent=..., this=<optimized out>)
    at LETableReference.h:90
#1  LEReferenceTo (offset=<optimized out>, success=<optimized out>, parent=..., this=<optimized out>) at LETableReference.h:369
#2  icu_49::GlyphLookupTableHeader::coversScript (this=0x1, base=..., scriptTag=1818326126, success=@0x7fffffffa07c: LE_NO_ERROR)
    at GlyphLookupTables.cpp:17
#3  0x0000003431e1ca33 in icu_49::LayoutEngine::layoutEngineFactory (fontInstance=0xdf9250, scriptCode=25, languageCode=41, typoFlags=3, 
    success=@0x7fffffffa07c: LE_NO_ERROR) at LayoutEngine.cpp:546


A local rebuilt fixes it.

danny
Comment 11 Adam Pribyl 2013-10-13 15:42:40 EDT
openttd-1.3.2-2.fc18.x86_6 this version still crashes. Please rebuild a proposed in comment 10.





*** OpenTTD Crash Report ***

Crash at: Sun Oct 13 19:36:34 2013
In game date: 0-01-01 (0)

Crash reason:
 Signal:  Segmentation fault (11)
 Message: <none>

OpenTTD version:
 Version:    1.3.2 (0)
 NewGRF ver: 13286420
 Bits:       64
 Endian:     little
 Dedicated:  no
 Build date: Aug  2 2013 21:21:35

Stacktrace:
 [00] openttd() [0x4826c7]
 [01] openttd() [0x73029d]
 [02] openttd() [0x730b43]
 [03] /lib64/libc.so.6() [0x36cdc35cd0]
 [04] /lib64/libicule.so.49(_ZNK6icu_4922GlyphLookupTableHeader12coversScriptERKNS_16LETableReferenceEjR
11LEErrorCode+0xa) [0x36e42263ba]
 [05] /lib64/libicule.so.49(_ZN6icu_4912LayoutEngine19layoutEngineFactoryEPKNS_14LEFontInstanceEiiiR11LE
ErrorCode+0xf3) [0x36e421ca33]
 [06] /lib64/libiculx.so.49(_ZN6icu_4915ParagraphLayoutC2EPKtiPKNS_8FontRunsEPKNS_9ValueRunsES8_PKNS_10L
ocaleRunsEhaR11LEErrorCode+0x570) [0x36cfc061f0]
 [07] openttd() [0x5eb3c7]
 [08] openttd() [0x5eb52b]
 [09] openttd() [0x5eb5c3]
 [10] openttd() [0x62099a]
 [11] openttd() [0x495a20]
 [12] openttd() [0x49138e]
 [13] openttd() [0x635e1f]
 [14] openttd() [0x706e9a]
 [15] openttd() [0x708d02]
 [16] /lib64/libc.so.6(__libc_start_main+0xf5) [0x36cdc21a05]
 [17] openttd() [0x468b85]

Operating system:
 Name:     Linux
 Release:  3.10.14-100.fc18.x86_64
 Version:  #1 SMP Fri Oct 4 15:55:52 UTC 2013
 Machine:  x86_64
 Compiler: GCC 4.7.2 "4.7.2 20121109 (Red Hat 4.7.2-8)"

Configuration:
 Blitter:      8bpp-optimized
 Graphics set: OpenGFX (988)
 Language:     //usr/share/openttd/lang/english_US.lng
 Music driver: libtimidity
 Music set:    NoMusic (0)
 Network:      no
 Sound driver: sdl
 Sound set:    NoSound (2)
 Video driver: sdl

AI Configuration (local: 255):

Libraries:
 FontConfig: 2.10.2
 FreeType:   2.4.10
 ICU:        49.1.1
 LZMA:       5.1.2alpha
 LZO:        2.06
 PNG:        1.5.13
 SDL:        1.2.15
 Zlib:       1.2.7
Comment 12 Fedora End Of Life 2013-12-21 10:35:46 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 18:13:22 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.